RDCode: RDKit::UFF Namespace Reference

# RDKit::UFF Namespace Reference

## Namespaces
namespace | Tools
## Typedefs
typedef std::vector< const ForceFields::UFF::AtomicParams * > | AtomicParamVect
## Functions
AtomicParamVect | getAtomTypes (const ROMol &mol, const std::string &paramData="")
ForceFields::ForceField * | constructForceField (ROMol &mol, double vdwThresh=100.0, int confId=-1, bool ignoreInterfragInteractions=true)
| Builds and returns a UFF force field for a molecule.
ForceFields::ForceField * | constructForceField (ROMol &mol, const AtomicParamVect &params, double vdwThresh=100.0, int confId=-1, bool ignoreInterfragInteractions=true)
| Builds and returns a UFF force field for a molecule.

## Typedef Documentation

typedef std::vector< const ForceFields::UFF::AtomicParams * > RDKit::UFF::AtomicParamVect

Definition at line 22 of file AtomTyper.h.

## Function Documentation

ForceFields::ForceField* RDKit::UFF::constructForceField | ( | ROMol & | mol,
|  | const AtomicParamVect & | params,
|  | double | vdwThresh = `100.0`,
|  | int | confId = `-1`,
|  | bool | ignoreInterfragInteractions = `true` |
| ) |  |  |

Builds and returns a UFF force field for a molecule.

Parameters:

  | mol | the molecule to use
  | params | a vector with pointers to the ForceFields::UFF::AtomicParams structures to be used
  | vdwThresh | the threshold to be used in adding van der Waals terms to the force field. Any non-bonded contact whose current distance is greater than `vdwThresh` * the minimum value for that contact will not be included.
  | confId | the optional conformer id, if this isn't provided, the molecule's default confId will be used.
  | ignoreInterfragInteractions | if true, nonbonded terms will not be added between fragments

Returns:
  the new force field. The client is responsible for free'ing this.

ForceFields::ForceField* RDKit::UFF::constructForceField | ( | ROMol & | mol,
|  | double | vdwThresh = `100.0`,
|  | int | confId = `-1`,
|  | bool | ignoreInterfragInteractions = `true` |
| ) |  |  |

Builds and returns a UFF force field for a molecule.

Parameters:

  | mol | the molecule to use
  | vdwThresh | the threshold to be used in adding van der Waals terms to the force field. Any non-bonded contact whose current distance is greater than `vdwThresh` * the minimum value for that contact will not be included.
  | confId | the optional conformer id, if this isn't provided, the molecule's default confId will be used.
  | ignoreInterfragInteractions | if true, nonbonded terms will not be added between fragments

Returns:
  the new force field. The client is responsible for free'ing this.

AtomicParamVect RDKit::UFF::getAtomTypes | ( | const ROMol & | mol,
|  | const std::string & | paramData = `""` |
| ) |  |  |